User Tag List

Page 1 of 3 1 2 3 LastLast
Results 1 to 10 of 24

Thread: Android Exporter Failure (Clicktem Fusion 2.5)

  1. #1
    Clicker Fusion 2.5 DeveloperAndroid Export Module

    Join Date
    Apr 2014
    Posts
    28
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Android Exporter Failure (Clicktem Fusion 2.5)

    Hello I am not able to compile the apk file in clickteamfusion 2.5

    Starting a Gradle Daemon, 1 incompatible and 1 stopped Daemons could not be reused, use --status for details

    > Configure project :app
    WARNING: The option 'android.useDeprecatedNdk' is deprecated.
    The current default is 'false'.
    It has been removed from the current version of the Android Gradle plugin.
    NdkCompile is no longer supported
    File C:\Users\CASA\.android\repositories.cfg could not be loaded.
    Failed to sort dependencies, returning partially-sorted list.
    Checking the license for package Android Emulator in C:\Program Files\Android\Android Studio\licenses
    Warning: License for package Android Emulator not accepted.
    Checking the license for package Android SDK Tools in C:\Program Files\Android\Android Studio\licenses
    Warning: License for package Android SDK Tools not accepted.
    Checking the license for package SDK Patch Applier v4 in C:\Program Files\Android\Android Studio\licenses
    Warning: License for package SDK Patch Applier v4 not accepted.
    Checking the license for package Android SDK Platform-Tools in C:\Program Files\Android\Android Studio\licenses
    Warning: License for package Android SDK Platform-Tools not accepted.
    Checking the license for package Android SDK Build-Tools 29.0.2 in C:\Program Files\Android\Android Studio\licenses
    Warning: License for package Android SDK Build-Tools 29.0.2 not accepted.
    Checking the license for package Android SDK Platform 29 in C:\Program Files\Android\Android Studio\licenses
    Warning: License for package Android SDK Platform 29 not accepted.

    FAILURE: Build failed with an exception.

    * What went wrong:
    Could not determine the dependencies of task ':app:compileDebugJavaWithJavac'.
    > Failed to install the following Android SDK packages as some licences have not been accepted.
    patcher;v4 SDK Patch Applier v4
    platform-tools Android SDK Platform-Tools
    platforms;android-29 Android SDK Platform 29
    emulator Android Emulator
    tools Android SDK Tools
    build-tools;29.0.2 Android SDK Build-Tools 29.0.2
    To build this project, accept the SDK license agreements and install the missing components using the Android Studio SDK Manager.
    Alternatively, to transfer the license agreements from one workstation to another, see http://d.android.com/r/studio-ui/export-licenses.html

    Using Android SDK: C:\Program Files\Android\Android Studio

    * Try:
    Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.

    * Get more help at https://help.gradle.org

    BUILD FAILED in 5m 19s

  2. #2
    Clickteam Clickteam
    Fernando's Avatar
    Join Date
    Dec 2006
    Posts
    6,848
    Mentioned
    298 Post(s)
    Tagged
    4 Thread(s)
    in the error is mentioned you need to accept the license to allow platform to work

    To build this project, accept the SDK license agreements and install the missing components using the Android Studio SDK Manager.
    you need to run this line

    cmd.exe /C"%ANDROID_HOME%\tools\bin\sdkmanager.bat --licenses"

    or execute from Android Studio

    SDK manager and try installing another API if you only have 30 install 29 should update both licenses



    Regards,


    Fernando Vivolo

    ... new things are coming ...

  3. #3
    Clicker Fusion 2.5 DeveloperAndroid Export Module

    Join Date
    Apr 2014
    Posts
    28
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    sdkmanager.pngsdkmanager2.pngsdkmanager3.pngsdkmanager4.pngsdkmanager5.png

    Still giving error

    > Configure project :app
    WARNING: The option 'android.useDeprecatedNdk' is deprecated.
    The current default is 'false'.
    It has been removed from the current version of the Android Gradle plugin.
    NdkCompile is no longer supported
    Failed to sort dependencies, returning partially-sorted list.
    Checking the license for package Android Emulator in C:\Program Files\Android\Android Studio\bin\licenses
    Warning: License for package Android Emulator not accepted.
    Checking the license for package Android SDK Tools in C:\Program Files\Android\Android Studio\bin\licenses
    Warning: License for package Android SDK Tools not accepted.
    Checking the license for package SDK Patch Applier v4 in C:\Program Files\Android\Android Studio\bin\licenses
    Warning: License for package SDK Patch Applier v4 not accepted.
    Checking the license for package Android SDK Platform-Tools in C:\Program Files\Android\Android Studio\bin\licenses
    Warning: License for package Android SDK Platform-Tools not accepted.
    Checking the license for package Android SDK Build-Tools 29.0.2 in C:\Program Files\Android\Android Studio\bin\licenses
    Warning: License for package Android SDK Build-Tools 29.0.2 not accepted.
    Checking the license for package Android SDK Platform 29 in C:\Program Files\Android\Android Studio\bin\licenses
    Warning: License for package Android SDK Platform 29 not accepted.

    FAILURE: Build failed with an exception.

    * What went wrong:
    Could not determine the dependencies of task ':app:compileDebugJavaWithJavac'.
    > Failed to install the following Android SDK packages as some licences have not been accepted.
    patcher;v4 SDK Patch Applier v4
    platform-tools Android SDK Platform-Tools
    platforms;android-29 Android SDK Platform 29
    emulator Android Emulator
    tools Android SDK Tools
    build-tools;29.0.2 Android SDK Build-Tools 29.0.2
    To build this project, accept the SDK license agreements and install the missing components using the Android Studio SDK Manager.
    Alternatively, to transfer the license agreements from one workstation to another, see http://d.android.com/r/studio-ui/export-licenses.html

    Using Android SDK: C:\Program Files\Android\Android Studio\bin

    * Try:
    Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.

    * Get more help at https://help.gradle.org

    BUILD FAILED in 4s

  4. #4
    Clicker Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Fusion 2.5+ DLC (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)
    janpier's Avatar
    Join Date
    Dec 2014
    Posts
    227
    Mentioned
    4 Post(s)
    Tagged
    0 Thread(s)
    have you tried to disable NDK packages? https://community.clickteam.com/threads/108296-Android-Exporter-Failure-(Clicktem-Fusion-2-5) also you haven't opened the NDK folder, have you installed any other NDK version apart from the last one?

  5. #5
    Clicker Fusion 2.5 DeveloperAndroid Export Module

    Join Date
    Apr 2014
    Posts
    28
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    sdkmanager6.png

    I've uninstalled but it's still giving error

    > Configure project :app
    WARNING: The option 'android.useDeprecatedNdk' is deprecated.
    The current default is 'false'.
    It has been removed from the current version of the Android Gradle plugin.
    NdkCompile is no longer supported
    Failed to sort dependencies, returning partially-sorted list.
    Checking the license for package Android Emulator in C:\Program Files\Android\Android Studio\bin\licenses
    Warning: License for package Android Emulator not accepted.
    Checking the license for package Android SDK Tools in C:\Program Files\Android\Android Studio\bin\licenses
    Warning: License for package Android SDK Tools not accepted.
    Checking the license for package SDK Patch Applier v4 in C:\Program Files\Android\Android Studio\bin\licenses
    Warning: License for package SDK Patch Applier v4 not accepted.
    Checking the license for package Android SDK Platform-Tools in C:\Program Files\Android\Android Studio\bin\licenses
    Warning: License for package Android SDK Platform-Tools not accepted.
    Checking the license for package Android SDK Build-Tools 29.0.2 in C:\Program Files\Android\Android Studio\bin\licenses
    Warning: License for package Android SDK Build-Tools 29.0.2 not accepted.
    Checking the license for package Android SDK Platform 30 in C:\Program Files\Android\Android Studio\bin\licenses
    Warning: License for package Android SDK Platform 30 not accepted.

    FAILURE: Build failed with an exception.

    * What went wrong:
    Could not determine the dependencies of task ':app:compileDebugJavaWithJavac'.
    > Failed to install the following Android SDK packages as some licences have not been accepted.
    patcher;v4 SDK Patch Applier v4
    platforms;android-30 Android SDK Platform 30
    platform-tools Android SDK Platform-Tools
    emulator Android Emulator
    tools Android SDK Tools
    build-tools;29.0.2 Android SDK Build-Tools 29.0.2
    To build this project, accept the SDK license agreements and install the missing components using the Android Studio SDK Manager.
    Alternatively, to transfer the license agreements from one workstation to another, see http://d.android.com/r/studio-ui/export-licenses.html

    Using Android SDK: C:\Program Files\Android\Android Studio\bin

    * Try:
    Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.

    * Get more help at https://help.gradle.org

    BUILD FAILED in 8s

  6. #6
    Clickteam Clickteam
    Fernando's Avatar
    Join Date
    Dec 2006
    Posts
    6,848
    Mentioned
    298 Post(s)
    Tagged
    4 Thread(s)
    you need to accept the sdk licenses

    please check Android Runtime - Build 292 (clickteam.com)
    Regards,


    Fernando Vivolo

    ... new things are coming ...

  7. #7
    Clicker Fusion 2.5 DeveloperAndroid Export Module

    Join Date
    Apr 2014
    Posts
    28
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    I tried "sdkmanager --update" this time

    sdkmanager7.png


    > Configure project :app
    WARNING: The option 'android.useDeprecatedNdk' is deprecated.
    The current default is 'false'.
    It has been removed from the current version of the Android Gradle plugin.
    NdkCompile is no longer supported
    Failed to sort dependencies, returning partially-sorted list.
    Checking the license for package Android Emulator in C:\Program Files\Android\Android Studio\bin\licenses
    Warning: License for package Android Emulator not accepted.
    Checking the license for package Android SDK Tools in C:\Program Files\Android\Android Studio\bin\licenses
    Warning: License for package Android SDK Tools not accepted.
    Checking the license for package SDK Patch Applier v4 in C:\Program Files\Android\Android Studio\bin\licenses
    Warning: License for package SDK Patch Applier v4 not accepted.
    Checking the license for package Android SDK Platform-Tools in C:\Program Files\Android\Android Studio\bin\licenses
    Warning: License for package Android SDK Platform-Tools not accepted.
    Checking the license for package Android SDK Build-Tools 29.0.2 in C:\Program Files\Android\Android Studio\bin\licenses
    Warning: License for package Android SDK Build-Tools 29.0.2 not accepted.
    Checking the license for package Android SDK Platform 29 in C:\Program Files\Android\Android Studio\bin\licenses
    Warning: License for package Android SDK Platform 29 not accepted.

    FAILURE: Build failed with an exception.

    * What went wrong:
    Could not determine the dependencies of task ':app:compileDebugJavaWithJavac'.
    > Failed to install the following Android SDK packages as some licences have not been accepted.
    patcher;v4 SDK Patch Applier v4
    platform-tools Android SDK Platform-Tools
    platforms;android-29 Android SDK Platform 29
    emulator Android Emulator
    tools Android SDK Tools
    build-tools;29.0.2 Android SDK Build-Tools 29.0.2
    To build this project, accept the SDK license agreements and install the missing components using the Android Studio SDK Manager.
    Alternatively, to transfer the license agreements from one workstation to another, see http://d.android.com/r/studio-ui/export-licenses.html

    Using Android SDK: C:\Program Files\Android\Android Studio\bin

    * Try:
    Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.

    * Get more help at https://help.gradle.org

    BUILD FAILED in 21s

  8. #8
    Clickteam Clickteam
    Fernando's Avatar
    Join Date
    Dec 2006
    Posts
    6,848
    Mentioned
    298 Post(s)
    Tagged
    4 Thread(s)
    what do you get when executing sdkmanager --licenses?

    maybe your user is the problem does it have unicode characters?, have space, are only numbers?
    Regards,


    Fernando Vivolo

    ... new things are coming ...

  9. #9
    Clicker Fusion 2.5 DeveloperAndroid Export Module

    Join Date
    Apr 2014
    Posts
    28
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    sdkmanager8.png

    My user only has capital letters.

  10. #10
    Clicker Fusion 2.5 MacFusion 2.5 DeveloperAndroid Export ModuleHTML5 Export ModuleiOS Export ModuleSWF Export ModuleXNA Export ModuleUnicode Add-on
    Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Fusion 2.5+ DLC (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)Universal Windows Platform Export Module (Steam)Firefly 3D Module (Steam)
    Phi's Avatar
    Join Date
    Jan 2010
    Location
    England
    Posts
    1,979
    Mentioned
    25 Post(s)
    Tagged
    0 Thread(s)
    Browse to where you installed your APIs, and run a command prompt there.
    go to this path:
    C:\Users\<your user profile>\AppData\Local\Android\Sdk\tools\bin
    And run these 2 commands:
    sdkmanager.bat --upgrade
    sdkmanager.bat --licenses

Page 1 of 3 1 2 3 LastLast

Similar Threads

  1. Android Exporter Building application failure.
    By OneOfLegends in forum Android Export Module 2.5
    Replies: 1
    Last Post: 10th April 2017, 04:25 AM
  2. Can I Still Get Android Exporter for Multimedia Fusion 2?
    By CamWin in forum Multimedia Fusion 2 - Technical Support
    Replies: 1
    Last Post: 18th June 2016, 02:09 AM
  3. New to Fusion 2.5 / Android Exporter
    By Spyhunter in forum Fusion 2.5
    Replies: 2
    Last Post: 23rd January 2014, 08:53 PM
  4. 2 bugs in Android Exporter for Fusion 2.5
    By tom79 in forum Android Export Module Version 2.0
    Replies: 15
    Last Post: 13th January 2014, 01:29 AM
  5. Android-Exporter freeze fusion
    By tiaetsch in forum Android Export Module Version 2.0
    Replies: 1
    Last Post: 2nd January 2014, 08:32 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •